<?php
include_once("utiles.php");

date_default_timezone_set("America/Panama");
//error_reporting(E_ALL & ~E_NOTICE & ~E_WARNING);
error_reporting(E_ALL);

if (!$connection = connectDb()) {
	die("err db");
} else {
	$connection->query("SET NAMES 'utf8';");
}
header('content-type: application/json');

session_start();
/*-------seccion de general--------------------*/
$_SESSION['database'] = $_POST['database'];
$_SESSION['c_id'] = $_POST['c_id'];
$_SESSION['c_descripcion'] = $_POST['c_descripcion'];
$_SESSION['c_direccion'] = $_POST['c_direccion'];
$_SESSION['c_idfiscal'] = $_POST['c_idfiscal'];
$_SESSION['pa_id'] = $_POST['pa_id'];
$_SESSION['ciu_id'] = $_POST['ciu_id'];
$_SESSION['c_contacto'] = $_POST['c_contacto'];
$_SESSION['c_telefono'] = $_POST['c_telefono'];
$_SESSION['c_fax'] = $_POST['c_fax'];
$_SESSION['c_credito'] = $_POST['c_credito'];
$_SESSION['c_dias_credito'] = $_POST['c_dias_credito'];
$_SESSION['c_limite_credito'] = $_POST['c_limite_credito'];
$_SESSION['c_vendedor'] = $_POST['c_vendedor'];
$_SESSION['c_correo'] = $_POST['c_correo'];
$_SESSION['c_exclusiv_cont'] = $_POST['c_exclusiv_cont'];
$_SESSION['c_apart'] = $_POST['c_apart'];
$_SESSION['c_club'] = $_POST['c_club'];
$_SESSION['c_acumpuntos'] = $_POST['c_acumpuntos'];
$_SESSION['cliente_pre_pago'] = $_POST['cliente_pre_pago'];
$_SESSION['c_activo'] = $_POST['c_activo'];
$_SESSION['suc_id'] = $_POST['suc_id'];
$_SESSION['c_ref2'] = $_POST['c_ref2'];
$_SESSION['c_ref3'] = $_POST['c_ref3'];
$_SESSION['c_precio'] = $_POST['c_precio'];
$_SESSION['c_desc'] = $_POST['c_desc'];
$_SESSION['c_afiliado'] = $_POST['c_afiliado'];
$_SESSION['cat_id'] = $_POST['cat_id'];
$_SESSION['usuario_id'] = $_POST['usuario_id'];
$_SESSION['cod_subsidiaria'] = $_POST['cod_subsidiaria'];
$_SESSION['c_recarg_mora'] = $_POST['c_recarg_mora'];
$_SESSION['tipo_calculo'] = $_POST['tipo_calculo'];
$_SESSION['show_log'] = $_POST['show_log'];
/*-------seccion de factura electronica--------------------*/
$_SESSION['c_dv'] = $_POST['c_dv'];
$_SESSION['c_tipo_receptor'] = $_POST['c_tipo_receptor'];
$_SESSION['id_contribuyente'] = $_POST['id_contribuyente'];
$_SESSION['c_tipo_documento'] = $_POST['c_tipo_documento'];
$_SESSION['c_tipo_persona'] = $_POST['c_tipo_persona'];
$_SESSION['c_prov_fe_cod'] = $_POST['c_prov_fe_cod'];
$_SESSION['c_prov_fe_desc'] = $_POST['c_prov_fe_desc'];
$_SESSION['c_dist_fe_cod'] = $_POST['c_dist_fe_cod'];
$_SESSION['c_dist_fe_desc'] = $_POST['c_dist_fe_desc'];
$_SESSION['c_corr_fe_cod'] = $_POST['c_corr_fe_cod'];
$_SESSION['c_corr_fe_desc'] = $_POST['c_corr_fe_desc'];
$_SESSION['c_ubica_cod_fe'] = $_POST['c_ubica_cod_fe'];
/*--------------------------------------------------*/
if (!isset($_POST['cod_subsidiaria']))
	$_SESSION['cod_subsidiaria'] = '';
if (!isset($_POST['c_recarg_mora']))
	$_SESSION['c_recarg_mora'] = '0';
if (!isset($_POST['tipo_calculo']))
	$_SESSION['tipo_calculo'] = '0';
if (!isset($_POST['show_log']))
	$_SESSION['show_log'] = '0';
/*--------validaciones de factura electronica------*/
if (!isset($_SESSION['c_correo']))
	$_SESSION['c_correo'] = '';
if (!isset($_SESSION['c_telefono']))
	$_SESSION['c_telefono'] = '000-0000';
if (!isset($_SESSION['c_fax']))
	$_SESSION['c_fax'] = '000-0000';
if (!isset($_SESSION['c_idfiscal']))
	$_SESSION['c_idfiscal'] = '000-000-000';
if (!isset($_SESSION['c_dv']))
	$_SESSION['c_dv'] = '00';
if (!isset($_SESSION['c_tipo_receptor']))
	$_SESSION['c_tipo_receptor'] = '02';
if (!isset($_SESSION['c_tipo_contrib']))
	$_SESSION['c_tipo_contrib'] = '1';
if (!isset($_SESSION['c_tipo_documento']))
	$_SESSION['c_tipo_documento'] = 'C';
if (!isset($_SESSION['c_tipo_persona']))
	$_SESSION['c_tipo_persona'] = '0';
if (!isset($_SESSION['c_prov_fe_cod']))
	$_SESSION['c_prov_fe_cod'] = '8';
if (!isset($_SESSION['c_prov_fe_desc']))
	$_SESSION['c_prov_fe_desc'] = 'PANAMA';
if (!isset($_SESSION['c_dist_fe_cod']))
	$_SESSION['c_dist_fe_cod'] = '8';
if (!isset($_SESSION['c_dist_fe_desc']))
	$_SESSION['c_dist_fe_desc'] = 'PANAMA';
if (!isset($_SESSION['c_corr_fe_cod']))
	$_SESSION['c_corr_fe_cod'] = '21';
if (!isset($_SESSION['c_corr_fe_desc']))
	$_SESSION['c_corr_fe_desc'] = '24 DE DICIEMBRE';
if (!isset($_SESSION['c_ubica_cod_fe']))
	$_SESSION['c_ubica_cod_fe'] = '8-8-21';
/*--------------------------------------------------*/
$timeStamp = date_create()->format('Y-m-d H:i:s');

$Db_Name = $_SESSION['database'];
$Db_NameC = "`$Db_Name`";
$cSuc_id = $_SESSION["suc_id"];
$Cte_Nomb2 = $_SESSION['c_descripcion'];
$Cte_Dire2 = $_SESSION["c_direccion"];
$iShow_Deb = $_SESSION["show_log"];
$Cte_Nomb2 = String_Decode_ws_acents($Cte_Nomb2);
$Cte_Dire2 = String_Decode_ws_acents($Cte_Dire2);

if ($iShow_Deb == 1) {
	echo "++++++++++++++++++++++++++++++++++++++++++++++cte_mant_create_fe_v1.php++++++++++++++++++++++++++++++++++++++++++" . chr(13);
    foreach ($_POST as $key => $value)
        echo $key.'='.$value.'<br />';
	echo "++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" . chr(13);
}
mysqli_select_db($connection, $Db_Name);

$Sql_Ln =
	"INSERT INTO $Db_NameC.clientes (
	c_id			, c_descripcion	, pa_id,
	ciu_id			, c_idfiscal	, c_contacto,
	c_telefono		, c_fax			,c_credito		, c_dias_credito,
	c_limite_credito, c_vendedor	, id_contribuyente	,
	c_correo		, c_exclusiv_cont,	c_creacion,
	c_apart			, c_activo		, suc_id,
	c_ref2			, usermodify	, useroption, 
	c_direccion		, c_club		, c_u_id_crea,
	c_precio		,c_desc			,c_acumpuntos,
	cliente_pre_pago,cat_id			,c_afiliado,
	c_dv        	,c_tipo_documento,cod_subsidiaria  ,
	c_tipo_persona	,tipo_calculo	,c_recarg_mora,
	c_tipo_receptor	,
	c_prov_fe_cod	,c_prov_fe_desc	,
    c_dist_fe_cod	,c_dist_fe_desc	,
	c_corr_fe_cod	,c_corr_fe_desc,
    c_ubica_cod_fe)  VALUES  (
	" . $_SESSION['c_id'] . ",
	" . $Cte_Nomb2 . ",
	" . $_SESSION['pa_id'] . ",
	" . $_SESSION['ciu_id'] . ",
	" . $_SESSION['c_idfiscal'] . ",
	" . $_SESSION['c_contacto'] . ",
	" . $_SESSION['c_telefono'] . ",
	" . $_SESSION['c_fax'] . ",
	" . $_SESSION['c_credito'] . ",
	" . $_SESSION['c_dias_credito'] . ",
	" . $_SESSION['c_limite_credito'] . ",
	" . $_SESSION['c_vendedor'] . ",
	" . $_SESSION['id_contribuyente'] . ",
	" . $_SESSION['c_correo'] . ",
	" . $_SESSION['c_exclusiv_cont'] . ",
	'" . $timeStamp . "',
	" . $_SESSION['c_apart'] . ",
	" . $_SESSION['c_activo'] . ",
	" . $_SESSION['suc_id'] . ",
	" . $_SESSION['c_ref2'] . ",1,1,
	" . $Cte_Dire2 . ",
	" . $_SESSION['c_club'] . ",
	" . $_SESSION['usuario_id'] . ",
	" . $_SESSION['c_precio'] . ",
	" . $_SESSION['c_desc'] . ",
	" . $_SESSION['c_acumpuntos'] . ",
	" . $_SESSION['cliente_pre_pago'] . ",
	" . $_SESSION['cat_id'] . ",
	" . $_SESSION['c_afiliado'] . ",
	" . $_SESSION['c_dv'] . ",
	" . $_SESSION['c_tipo_documento'] . ",
	" . $_SESSION['cod_subsidiaria'] . ",
	" . $_SESSION['c_tipo_persona'] . ",	
	" . $_SESSION['tipo_calculo'] . ",
	" . $_SESSION['c_recarg_mora'] . ",	
	" . $_SESSION['c_tipo_receptor'] . ",
	" . $_SESSION['c_prov_fe_cod'] . ",
	" . $_SESSION['c_prov_fe_desc'] . ",
	" . $_SESSION['c_dist_fe_cod'] . ",
	" . $_SESSION['c_dist_fe_desc'] . ",
	" . $_SESSION['c_corr_fe_cod'] . ",
	" . $_SESSION['c_corr_fe_desc'] . ",
	" . $_SESSION['c_ubica_cod_fe'] . ")
ON DUPLICATE KEY UPDATE
	c_activo		=VALUES(c_activo),
	c_descripcion	=VALUES(c_descripcion),
    c_nom_comercial	=VALUES(c_descripcion),
    c_idfiscal		=VALUES(c_idfiscal),
	c_direccion 	=VALUES(c_direccion),
    c_telefono		=VALUES(c_telefono),
    c_fax			=VALUES(c_fax),
    c_correo		=VALUES(c_correo),
    c_contacto		=VALUES(c_contacto),
	pa_id			=VALUES(pa_id),
    ciu_id			=VALUES(ciu_id),
    c_credito		=VALUES(c_credito),
    c_dias_credito	=VALUES(c_dias_credito),
    c_limite_credito=VALUES(c_limite_credito),
    c_vendedor		=VALUES(c_vendedor),
    c_exclusiv_cont	=VALUES(c_exclusiv_cont),
    c_apart			=VALUES(c_apart),
    c_club			=VALUES(c_club),
    c_ref2			=VALUES(c_ref2),
    c_desc			=VALUES(c_desc),
    c_modificacion	='" . $timeStamp . "',
    c_u_id_mod		=" . $_SESSION['usuario_id'] . ",
    c_acumpuntos    = VALUES(c_acumpuntos),
	c_afiliado		= VALUES(c_afiliado),
	cat_id			= VALUES(cat_id),
    cliente_pre_pago= VALUES(cliente_pre_pago),
	cod_subsidiaria	= VALUES(cod_subsidiaria),
	tipo_calculo	= VALUES(tipo_calculo),
	c_recarg_mora	= VALUES(c_recarg_mora),
	c_dv			= VALUES(c_dv),
	c_tipo_receptor	= VALUES(c_tipo_receptor),
    id_contribuyente=VALUES(id_contribuyente),
	c_tipo_documento= VALUES(c_tipo_documento),
	c_tipo_persona	= VALUES(c_tipo_persona),
	c_prov_fe_cod	= VALUES(c_prov_fe_cod),
	c_prov_fe_desc	= VALUES(c_prov_fe_desc),
	c_dist_fe_cod	= VALUES(c_dist_fe_cod),
	c_dist_fe_desc	= VALUES(c_dist_fe_desc),
	c_corr_fe_cod	= VALUES(c_corr_fe_cod),
	c_corr_fe_desc	= VALUES(c_corr_fe_desc),
	c_ubica_cod_fe	= VALUES(c_ubica_cod_fe);";
if ($iShow_Deb == 1)
	echo $Sql_Ln . chr(13);
else {
	$RespQry = mysqli_query($connection, $Sql_Ln);
	if ($RespQry == TRUE) {
		$msg = array("success" => "true", "detalle" => "OK");
	} else {
		$msg = array("success" => "false", "detalle" => $connection);
		echo "<br>Error: " . $SQL_Insert . "<br>" . $conn->error;
	}

	print_r(json_encode($msg));
}
@mysqli_close($connection);

function String_Encode_ws_acents($pValue)
{
	$search  = array('á', 'é', 'í', 'ó', 'ú', 'Á', 'É', 'Í', 'Ó', 'Ú', 'ñ', 'Ñ', ',', '`', ';', '"', '^', '¦', '&', '|', '¨');
	$replace = array('~01', '~02', '~03', '~04', '~05', '~06', '~07', '~08', '~09', '~10', '~11', '~12', '~13', '~14', '~15', '~16', '~17', '~19', '~21', '~22', '~23');
	return str_replace($search, $replace, $pValue);
}

function String_Decode_ws_acents($pValue)
{
	$replace  = array('á', 'é', 'í', 'ó', 'ú', 'Á', 'É', 'Í', 'Ó', 'Ú', 'ñ', 'Ñ', ',', '`', ';', '"', '^', '¦', '&', '|', '¨');
	$search   = array('~01', '~02', '~03', '~04', '~05', '~06', '~07', '~08', '~09', '~10', '~11', '~12', '~13', '~14', '~15', '~16', '~17', '~19', '~21', '~22', '~23');
	return str_replace($search, $replace, $pValue);
}

/*
RCTECH SOFTWARE HOUSE
Johnn Gutierrez A.
Programador			 : Sistema de FE RCTECH
Fecha de Creacion	 : 2023-09-01
Modificasiones		 : 1
*/
